package domain


type AlibabaWdkMerchantStoreitemUpdateResult struct {
    /*
        success     */
    Success  *bool `json:"success,omitempty" `

    /*
        errorCode     */
    ErrorCode  *string `json:"error_code,omitempty" `

    /*
        errorDesc     */
    ErrorDesc  *string `json:"error_desc,omitempty" `

}

func (s *AlibabaWdkMerchantStoreitemUpdateResult) SetSuccess(v bool) *AlibabaWdkMerchantStoreitemUpdateResult {
    s.Success = &v
    return s
}
func (s *AlibabaWdkMerchantStoreitemUpdateResult) SetErrorCode(v string) *AlibabaWdkMerchantStoreitemUpdateResult {
    s.ErrorCode = &v
    return s
}
func (s *AlibabaWdkMerchantStoreitemUpdateResult) SetErrorDesc(v string) *AlibabaWdkMerchantStoreitemUpdateResult {
    s.ErrorDesc = &v
    return s
}
